<?php defined('SYSPATH') or die('No direct script access.');

class Controller_Handler_Session extends Controller_Handler {
        
        public function before() {
            $this->setAccessLevel(self::ACCESS_USER);
            parent::before();
        }

        public function action_getSessionTime() {
            $session = Session::instance();
            if ($session->get('LoggedIn')) {
                $dif_time = $session->get('dif_time');
                $timeout = User::SESSION_LIFETIME;
                $remain = $timeout - $dif_time;
                if ($remain <= 0) {
                    $this->completeSignOut();
                }
                $session->set('last_time', 
                            $session->get('last_time') - $dif_time);
            } else {
                $remain = 0;
            }
            $this->response->body(json_encode($remain));
        }

        public function action_closeSession() {
            if ($session->get('LoggedIn')) {
                $this->completeSignOut();
            }
            $this->response->body(json_encode(0));
        }
}